﻿using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.rule.playRules
{
    public class Ascendant : PlayRule
    {

        public static readonly String REGLE_ASCENDANT = "Ascendant";

        override public bool Test(Card playedCard, Stack<Card> stack, bool bottomUp, List<Card> CurrentHand)
        {
            if (bottomUp && playedCard.Value > stack.Peek().Value)
            {
                return true;
            }
            return false;
        }

    }
}
