﻿using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.rule.beforeEndTurnRules
{
    public class NbCardPlay : BeforeEndTurnRule
    {

        override public bool Test(List<Card> CurrentCardPlayed, int nbCardAtBeginOfTurn, List<Card> CurrentHand)
        {
            if (CurrentHand.Count == 0)
            {
                return true;
            }
            if ((nbCardAtBeginOfTurn - CurrentHand.Count) < 2)
            {
                return false;
            }
            return true;
        }

    }
}
