﻿using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.rule.endTurnRules
{
    public class CompleteHand : EndTurnRule
    {

        public static readonly String REGLE_COMPLETEHAND = "Complete Hand";

        public override bool Test(List<Card> CurrentCardPlayed, int nbCardAtBeginOfTurn, List<Card> CurrentHand)
        {
            // Si carte qui fait piocher que d'un vérifier la bonne pioche (penser si elle vient d'être recouverte)
            // Sinon
            if (nbCardAtBeginOfTurn == CurrentCardPlayed.Count)
            {
                return true;
            }
            return false;
        }

    }
}
